Subject: bug#63555: emacs 29 complains that it can't connect to the display

From: Eli Zaretskii <[email-masked]>
Date: Sun, 21 May 2023 14:16:58 +0300

> From: Po Lu <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Sun, 21 May 2023 14:32:46 +0800
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Please do this ASAP.  Or tell me what should be written there, and
> > then I will do it.
> 
> How about this:
> 
> diff --git a/doc/emacs/cmdargs.texi b/doc/emacs/cmdargs.texi
> index 9514e3414e1..0abd1ec589c 100644
> --- a/doc/emacs/cmdargs.texi
> +++ b/doc/emacs/cmdargs.texi
> @@ -777,8 +777,13 @@ Misc Variables
>  time it is required.
>  
>  @item WAYLAND_DISPLAY
> -Pgtk Emacs (built with @option{--with-pgtk}) can run on Wayland natively.
> -@env{WAYLAND_DISPLAY} specifies the connection to the compositor.
> +@item BROADWAY_DISPLAY
   ^^^^^
"@itemx"

> +When Emacs is built with the @option{--with-pgtk}, it can natively run
                            ^^^
This "the" should be deleted.

> +on Wayland, if GTK was built with its Wayland backend enabled.
> +@env{WAYLAND_DISPLAY} specifies the name of the Wayland display.
> +
> +Other backends may use other environment variables to specify the
> +display name: Broadway, for example, uses @env{BROADWAY_DISPLAY}.

Can we document other variables as well?

Also, I don't think I understand: is Broadway one of the backends for
Wayland?  And Wayland is another backend?  The text says "can run on
Wayland", but then uses "Wayland" as the name of one backend of many.
So it's a bit confusing: is "Wayland" the name of a backend, the
generic name of the GTK backends, or something else?

Thanks.